> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List knowledge base topics



## OpenAPI

````yaml GET /v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics
openapi: 3.1.0
info:
  title: PolyAI Agents API
  version: 1.0.11
  description: Manage PolyAI agents, telephony, deployments, and real-time configs.
servers:
  - url: https://api.us.poly.ai
    description: US region
  - url: https://api.eu.poly.ai
    description: EU region
  - url: https://api.uk.poly.ai
    description: UK region
  - url: https://api.studio.poly.ai
    description: Studio region
security:
  - polyApiKey: []
paths:
  /v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics:
    parameters:
      - name: agentId
        in: path
        required: true
        schema:
          type: string
      - name: branchId
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Knowledge Base
      summary: List knowledge base topics
      responses:
        '200':
          description: List of knowledge base topics
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListKnowledgeBaseTopicsResponse'
components:
  schemas:
    ListKnowledgeBaseTopicsResponse:
      type: array
      items:
        type: object
        properties:
          id:
            type: string
          name:
            type: string
          content:
            type: string
          actions:
            type: string
          exampleQueries:
            type: object
            properties:
              queries:
                type: array
                items:
                  type: string
            required:
              - queries
            additionalProperties: false
          isActive:
            type: boolean
        required:
          - id
          - name
          - content
          - actions
          - exampleQueries
          - isActive
        additionalProperties: false
      title: ListKnowledgeBaseTopicsResponse
  securitySchemes:
    polyApiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````